Package com.xebialabs.xlrelease.serialization.json.utils

# Class CiSerializerHelper$

java.lang.Object
com.xebialabs.xlrelease.serialization.json.utils.CiSerializerHelper$

public class CiSerializerHelper$ extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CiSerializerHelper$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CiSerializerHelper$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationItem`
  `deserialize(com.fasterxml.jackson.databind.JsonNode node, Repository repository)`
  `ConfigurationItem`
  `deserialize(com.fasterxml.jackson.databind.JsonNode node, Repository repository, com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)`
  `ConfigurationItem`
  `deserialize(String json, Repository repository)`
  `ConfigurationItem`
  `deserialize(String json, Repository repository, com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)`
  `com.xebialabs.xltype.serialization.ConfigurationItemConverter`
  `newEncryptingConverter()`
  `String`
  `serialize(ConfigurationItem ci)`
  `String`
  `serialize(ConfigurationItem ci, com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)`
  `String`
  `serialize(List<? extends ConfigurationItem> cis)`
  `String`
  `serialize(List<? extends ConfigurationItem> cis, com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)`
  `String`
  `serializeWithMaskedPasswords(ConfigurationItem ci)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final CiSerializerHelper$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### CiSerializerHelper$

    public CiSerializerHelper$()

- ## Method Details

  - ### newEncryptingConverter

    public com.xebialabs.xltype.serialization.ConfigurationItemConverter newEncryptingConverter()

  - ### deserialize

    public ConfigurationItem deserialize(com.fasterxml.jackson.databind.JsonNode node, Repository repository)

  - ### deserialize

    public ConfigurationItem deserialize(String json, Repository repository)

  - ### deserialize

    public ConfigurationItem deserialize(com.fasterxml.jackson.databind.JsonNode node, Repository repository, com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)

  - ### deserialize

    public ConfigurationItem deserialize(String json, Repository repository, com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)

  - ### serialize

    public String serialize(ConfigurationItem ci)

  - ### serializeWithMaskedPasswords

    public String serializeWithMaskedPasswords(ConfigurationItem ci)

  - ### serialize

    public String serialize(List<? extends ConfigurationItem> cis)

  - ### serialize

    public String serialize(ConfigurationItem ci, com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)

  - ### serialize

    public String serialize(List<? extends ConfigurationItem> cis, com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)